Update Release Group Release By Id
https://app.fossa.com/api/project_group/{groupId}/release/{projectGroupReleaseId}Update a specific release within a release group, by ID
Path parameters
groupIdintegerrequiredThe ID of the release group
projectGroupReleaseIdintegerrequiredThe ID of the release
Request body (required) · application/json
titlestringrequiredprojectsobject[]projectIdstringbranchstringrevisionIdstringprojectsToDeletestring[]Responses
200The updated release, including its projects400Bad requestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403The requesting user is not allowed to edit this releaseuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404The release group could not be founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/project_group/1/release/1curl --request PUT \ --url 'https://app.fossa.com/api/project_group/1/release/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "title": "2.0.0", "projects": [ { "projectId": "custom+1/org/project", "branch": "main", "revisionId": "rev001" } ], "projectsToDelete": [ "custom+1/org/deleteable" ]}'Real request. Mutating methods can change data.
Path params
groupIdintegerrequiredThe ID of the release group
projectGroupReleaseIdintegerrequiredThe ID of the release